;;; -*- mode: lisp; syntax: common-lisp; base: 10; package: ASDF -*-
;;
;; jsgen.asd -- ASDF System Definition for JSGEN, an S-Expression Syntax for
;;              Javascript.
;;
;; Copyright (c) 2006, Jason Kantz <jason@kantz.com>
;; All rights reserved.
;;
;;; Code:

(in-package "ASDF")


(defsystem jsgen
    :name "jsgen"
    :version "0.3"
    :components ((:file "package")
		 (:file "read-enable" :depends-on ("package"))
                 (:file "case-read" :depends-on ("read-enable"))
                 (:file "expressions" :depends-on ("package"))
                 (:file "javascript" :depends-on ("expressions" "case-read"))
                 (:file "extensions" :depends-on ("javascript"))
                 (:file "allegroserve-sjs" :depends-on ("extensions")))
    :depends-on ())


;;; jsgen.asd ends here