;;; -*- mode: lisp; syntax: common-lisp; base: 10; package: CL-USER -*-
;;
;; package.lisp -- :jsgen package definition
;;
;; Copyright (c) 2006, Jason Kantz <jason@kantz.com>
;; All rights reserved.
;;
;;; Code:

(in-package :common-lisp-user)


(defpackage :jsgen
  (:use :common-lisp)
  (:export #:push-readtable
           #:pop-readtable
           #:*preserve-case-readtable*
           #:*previous-readtables*
           #:defreadtable
           #:preserve-case-dispatch
           #:genvar
           #:js
           #:js-string
           #:js-compile-file
           #:*output-stream*
           
           ;; javascript
           "*" "/" "%" "+" "<<" ">>" ">>>"
           "<" ">" "<=" ">=" "in" "instanceof"
           "==" "!=" "===" "!=="
           "=" "*=" "/=" "%=" "+=" "-=" "<<=" ">>=" ">>>=" "\&=" "\|=" "^="
           "&" "^" "\|" "\&\&" "\|\|"
           "\," "."
           "object-literal" "new" "with" "array-literal" "aref" "dot" "++" "_++" "--" "_--" "-" "var"
           "function" "cond" "switch" "case" "default" "label" "try" "catch" "finally" "?" "!" "~" "for"
           "while" "do-while" "continue" "break" "return"

           ;; extentions
           "begin" "or" "and" "not" "esc_str" "when" "repeat" "foreach" "html" "bq" "uq" "%bq" "%uq" "class" ))


;;; package.lisp ends here